Bug 442921 - Audacious plugins is missing the CD audio plugin
Audacious plugins is missing the CD audio plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacious-plugins (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 12:08 EDT by Vesa Halttunen
Modified: 2009-06-26 22:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.5.1-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch that adds libcdio-devel and libcddb-devel to BuildRequires to enable CD audio plugin compilation (1.59 KB, patch)
2009-04-26 06:48 EDT, Vesa Halttunen
no flags Details | Diff

  None (edit)
Description Vesa Halttunen 2008-04-17 12:08:19 EDT
Description of problem: Audacious plugins is missing the CD audio plugin.


Version-Release number of selected component (if applicable): 1.4.4-1.fc8


How reproducible: Always


Steps to Reproduce:
1. Install audacious.i386 1.4.5-1.fc8 and audacious-plugins.i386 1.4.4-1.fc8
2. Run audacious
3. Open Preferences -> Plugins -> Decoders
  
Actual results: No CD Audio plugin is shown.

Expected results: A CD Audio plugin should be shown in the plugin list.

Additional info: The plugin was present in an earlier Audacious version.
Comment 1 Michael Schwendt 2008-06-01 08:47:57 EDT
BuildRequires libcdio-devel is missing:

checking for libcdio >= 0.70... no
configure: WARNING: *** Cannot find libcdio 0.70 or newer, cdaudio-ng will not
be built ***
Comment 2 Michael Schwendt 2008-07-07 19:39:19 EDT
*ping*

Update in rawhide does not try to fix this.

http://kojipkgs.fedoraproject.org/packages/audacious-plugins/1.5.1/1.fc10/data/logs/i386/build.log
Comment 3 Bug Zapper 2008-11-26 05:30:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Vesa Halttunen 2008-11-26 11:07:55 EST
Changing version to Fedora 9 since this is still definitely present in Fedora 9. Haven't tested 10 yet.
Comment 5 Vesa Halttunen 2008-11-28 12:01:55 EST
Still broken in Fedora 10.
Comment 6 Vesa Halttunen 2009-04-26 06:48:01 EDT
Created attachment 341344 [details]
A patch that adds libcdio-devel and libcddb-devel to BuildRequires to enable CD audio plugin compilation

This still hasn't been fixed. Here's a patch that does it. Could you please apply it (or something similar)?
Comment 7 Fedora Update System 2009-05-01 13:58:44 EDT
audacious-plugins-1.5.1-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-4.fc11
Comment 8 Fedora Update System 2009-05-09 00:16:42 EDT
audacious-plugins-1.5.1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4556
Comment 9 Vesa Halttunen 2009-05-13 14:00:41 EDT
I can confirm that the CD audio plugin is included in audacious-plugins-1.5.1-4.fc11.
Comment 10 Fedora Update System 2009-06-05 08:03:27 EDT
audacious-plugins-1.5.1-6.fc11,audacious-1.5.1-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-6.fc11,audacious-1.5.1-9.fc11
Comment 11 Fedora Update System 2009-06-05 08:10:43 EDT
audacious-plugins-1.5.1-6.fc10,audacious-1.5.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-6.fc10,audacious-1.5.1-9.fc10
Comment 12 Fedora Update System 2009-06-15 22:37:55 EDT
audacious-plugins-1.5.1-6.fc11, audacious-1.5.1-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6438
Comment 13 Fedora Update System 2009-06-15 22:45:27 EDT
audacious-plugins-1.5.1-6.fc10, audacious-1.5.1-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6490
Comment 14 Fedora Update System 2009-06-26 22:44:35 EDT
audacious-plugins-1.5.1-6.fc11, audacious-1.5.1-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-06-26 22:46:49 EDT
audacious-plugins-1.5.1-6.fc10, audacious-1.5.1-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.